package com.qxgmat.dto.admin.response;

import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.ExercisePaperQuestion;
import com.qxgmat.data.dao.entity.QuestionNo;
import com.qxgmat.dto.admin.extend.ExercisePaperExtendDto;
import com.qxgmat.dto.admin.extend.QuestionExtendDto;
import com.qxgmat.dto.admin.extend.QuestionNoExtendDto;


@Dto(entity = ExercisePaperQuestion.class)
public class ExerciseQuestionListDto {

    private Integer id;

    private ExercisePaperExtendDto paper;

    private Integer questionId;

    private QuestionExtendDto question;

    private Integer questionNoId;

    private QuestionNoExtendDto questionNo;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public ExercisePaperExtendDto getPaper() {
        return paper;
    }

    public void setPaper(ExercisePaperExtendDto paper) {
        this.paper = paper;
    }

    public QuestionExtendDto getQuestion() {
        return question;
    }

    public void setQuestion(QuestionExtendDto question) {
        this.question = question;
    }

    public QuestionNoExtendDto getQuestionNo() {
        return questionNo;
    }

    public void setQuestionNo(QuestionNoExtendDto questionNo) {
        this.questionNo = questionNo;
    }

    public Integer getQuestionId() {
        return questionId;
    }

    public void setQuestionId(Integer questionId) {
        this.questionId = questionId;
    }

    public Integer getQuestionNoId() {
        return questionNoId;
    }

    public void setQuestionNoId(Integer questionNoId) {
        this.questionNoId = questionNoId;
    }
}
